# Set product-set items

This method set given products (minimum 0, maximum 50), defined by product variant code to the bundle of products (product-set).
Product defined in url by guid, must be set as type : product-set. When successfully saved, complete list of products in the set is returned in response.
It is not allowed to add a product of the product-set type to an existing product set.

Endpoint: PUT /api/products/{guid}/set
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `guid` (string, required)
    Product guid - Must be product-set type.
    Example: "93bc0dbe-7481-11e8-8216-002590dad85e"

## Request fields (application/json):

  - `data` (object, required)

  - `data.setItems` (array, required)
    Array of new products assigned to set, minimum 0 item, maximum 50 items on request

  - `data.setItems.code` (string, required)
    product variant identifier

  - `data.setItems.amount` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.items` (array,null, required)
    information about items, products, in set

  - `data.items.guid` (string, required)
    product identifier

  - `data.items.code` (string, required)
    product code

  - `data.items.amount` (string, required)
    amount of items, products

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


